For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assessments

Take actions on assessments.

Deprecated

List assessments

get

This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at /rest/assessments/v2. Returns a list of assessments that you created; and the assessments that you are permitted to view. The assessments are sorted by lastModifiedOn in descending order, with the most recent first.

Authorizations
AuthorizationstringRequired

This API requires Basic HTTP authentication.

Query parameters
namestringOptional

The name of the assessment.

The value is case-insensitive and it returns results that contain this value.

statusstringOptional

The status of the assessment.

Possible values are: DRAFT, SUBMITTED, COMPLETED or OBSOLETE. The value is case-insensitive. An invalid value results in an error response.

lastModifiedFromstring · date-timeOptional

The date and time that defines the start of the period when the assessment was last updated, including this timestamp.

lastModifiedUntilstring · date-timeOptional

The date and time that defines the end of the period when the assessment was last updated, excluding this timestamp.

templateIdstring · uuidOptional

The ID of the template.

templateVersionstringOptional

The version of the template.

Use LATEST to retrieve assessments that are on the latest version of a particular templateId. For other values, it returns results that have an exact match.

assetIdstring · uuidOptional

The ID of the asset the assessment relates to.

limitinteger · min: 1 · max: 50Optional

The maximum number of resources to retrieve.

If not set, the default limit of 10 is be used. The maximum value for this parameter is 50.

Default: 10
cursorstringOptional

The cursor pointing to the first resource to be included in the response. This cursor cannot be created and must have been extracted from a response returned by a previous API call.

If this parameter is missing, the API returns the resources starting from the first available resource, at index 0.

Responses
200

Example of a response for listing assessments.

application/json

A page object containing assessments.

nextCursorstringOptional

The cursor pointing to the next page. If the cursor is missing, there are no additional pages of resources available after the current one.

Example: Y3Vyc29yV2hlblRoZXJlSXNNb3JlRGF0YQo
get/assessments
Deprecated

This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at `/rest/assessments/v2`. Retrieve an assessment by ID

get

Returns information about the assessment with the specified ID.

Authorizations
AuthorizationstringRequired

This API requires Basic HTTP authentication.

Path parameters
idstring · uuidRequired

The ID of the assessment.

Responses
200

Example of a response for retrieving an assessment.

application/json

An assessment object.

idstring · uuidRequired

The ID of the assessment.

Example: 7460c00f-3b12-4238-b68d-4ec4ea8bf9f7
namestringRequired

The name of the assessment.

Example: Direct Marketing
statusstringRequired

The status of an assessment. Possible values are: DRAFT, SUBMITTED, COMPLETED, or OBSOLETE.

createdOnstring · date-timeRequired

The date and time of the assessment creation.

Example: 2023-07-10T15:03:10.433Z
lastModifiedOnstring · date-timeRequired

The date and time of the assessment last update.

Example: 2023-07-10T15:03:10.433Z
submittedOnstring · date-timeOptional

The date and time of the assessment submission.

Example: 2023-07-10T15:10:10.433Z
get/assessments/{id}
Deprecated

Retrieve an assessment by assessment review ID

get

This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at /rest/assessments/v2. Returns information about the assessment with the specified assessment review asset ID.

Authorizations
AuthorizationstringRequired

This API requires Basic HTTP authentication.

Path parameters
idstring · uuidRequired

The ID of the assessment review asset.

Responses
200

Example of a response for retrieving an assessment.

application/json

An assessment object.

idstring · uuidRequired

The ID of the assessment.

Example: 7460c00f-3b12-4238-b68d-4ec4ea8bf9f7
namestringRequired

The name of the assessment.

Example: Direct Marketing
statusstringRequired

The status of an assessment. Possible values are: DRAFT, SUBMITTED, COMPLETED, or OBSOLETE.

createdOnstring · date-timeRequired

The date and time of the assessment creation.

Example: 2023-07-10T15:03:10.433Z
lastModifiedOnstring · date-timeRequired

The date and time of the assessment last update.

Example: 2023-07-10T15:03:10.433Z
submittedOnstring · date-timeOptional

The date and time of the assessment submission.

Example: 2023-07-10T15:10:10.433Z
get/assessments/byAssessmentReview/{id}
Deprecated

Conduct an assessment

post

This API version is deprecated and will be removed in future releases. We recommend you to use the V2 version of this API, which is available at /rest/assessments/v2. Starts conducting an assessment by creating it in DRAFT status.

Authorizations
AuthorizationstringRequired

This API requires Basic HTTP authentication.

Body

A request object to start conducting an assessment. It should contain at least a template and a name or an asset. If you provide both a name and an asset, the asset's name stored in Collibra is used as the name of the assessment. When specified, the asset must have the same asset type used in the template. In addition, if the owner is not specified, the authenticated user is used as owner of the assessment.

namestringOptional

The name of the assessment.

Example: Legal Checks
isVisibleToEveryonebooleanOptional

Whether the assessment is visible to Everyone in Collibra?

Default: falseExample: true
Responses
201

Example of a response for conducting an assessment.

application/json
post/assessments/conduct

Last updated

Was this helpful?